please consider making libgl1-mesa-dri to not be pulled into ubuntu-touch seed

Bug #1278871 reported by Dimitri John Ledkov
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
mesa (Ubuntu)
Fix Released
Undecided
Timo Aaltonen
qtdeclarative-opensource-src (Ubuntu)
Fix Released
Undecided
Timo Jyrinki

Bug Description

From mesa package: libgbm1 depends on libgl1-mesa-dri

From qtdeclarative-opensource-src: qtdeclarative5-qtquick2-plugin depends on libgl1-mesa-dri

Mesa is available on our default installations by virtue of ubuntu-drivers-common, seeds or manual package selection.
Above two dependencies, result in nvidia & radion packages pulled into ubuntu-touch seed which is undesired.

Talking on IRC mlankhorst provided a solution, which i'd like to try out:
<mlankhorst> depend on libgl1-mesa-dri | libgl1
<mlankhorst> and include libhybris first so libgl1-mesa-dri doesn't end up being installed

Related branches

Changed in mesa (Ubuntu):
status: New → Confirmed
Changed in qtdeclarative-opensource-src (Ubuntu):
status: New → Confirmed
summary: - please consider dropping libgl1-mesa-dri depends
+ please consider making libgl1-mesa-dri to not be pulled into ubuntu-
+ touch seed
Changed in mesa (Ubuntu):
assignee: nobody → Dimitri John Ledkov (xnox)
Changed in qtdeclarative-opensource-src (Ubuntu):
assignee: nobody → Dimitri John Ledkov (xnox)
Changed in qtdeclarative-opensource-src (Ubuntu):
assignee: Dimitri John Ledkov (xnox) → Timo Jyrinki (timo-jyrinki)
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package qtdeclarative-opensource-src - 5.2.1-5ubuntu1

---------------
qtdeclarative-opensource-src (5.2.1-5ubuntu1) utopic; urgency=medium

  * Resync with Debian including renamed QML packages (LP: #1313547)
  * Depend conditionally on libgl1 (LP: #1278871)
  * debian/patches/Fix-marking-of-prototype-objects-in-chain.patch
    - Fix a crasher with deleted QQmlCompiledData as suggested by upstream
      (LP: #1304248)
  * debian/patches/QQuickItemView-QQuickPathView-Fix-creation-of-delega.patch:
    - Fix "Carousel doesn't re-render properly after scrolling"
      (LP: #1307578)
  * debian/patches/Implement-proper-support-for-layoutChange-in-QQmlDel.patch:
    - Fix a performance hit when editing sorted lists (LP: #1303746)
  * debian/patches/V4-regalloc-fix-register-spill-choice-under-high-pre.patch:
    - Fix differing JS results on AMD64/i386 (LP: #1312571)
  * Updated symbols
 -- Timo Jyrinki <email address hidden> Mon, 28 Apr 2014 07:35:22 +0000

Changed in qtdeclarative-opensource-src (Ubuntu):
status: Confirmed → Fix Released
Changed in mesa (Ubuntu):
assignee: Dimitri John Ledkov (xnox) → Timo Aaltonen (tjaalton)
Revision history for this message
Timo Aaltonen (tjaalton) wrote :

libgbm1 depended on libgl1-mesa-dri because of bug 1374131

so if dropping the dep doesn't break tests again then that's fine.

Revision history for this message
Dimitri John Ledkov (xnox) wrote :

It's not about dropping the dep, but changing it.

From: libgl1-mesa-dri
To: libgl1-mesa-dri | libgl1

Which should make it possible to create seeds, for touch, to not install bogus and large/unused gl implementations

Revision history for this message
Dimitri John Ledkov (xnox) wrote :

And for autopkgtests arguabily, one should be seeding/depending installing on the right gl1 for the architecture, that are runnable on autopkgtest machines.

Anyway, above change request should not regress bug 1374131

Revision history for this message
Timo Aaltonen (tjaalton) wrote :

libgbm1 doesn't depend on libgl1-mesa-dri anymore, and things seem to work fine still

Changed in mesa (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers